<inp2:adm_SetPopupSize width="550" height="400"/>
<inp2:m_include t="incs/header"/>

<inp2:m_RenderElement name="combined_header" section="in-portal:user_banlist"  prefix="ban-rule" title_preset="ban_rule_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('ban-rule', '<inp2:ban-rule_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('ban-rule', 'OnCancelEdit','<inp2:ban-rule_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );

			 a_toolbar.AddButton( new ToolBarButton('reset_edit', '<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>', function() {
						reset_form('ban-rule', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
					}
			 	) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('ban-rule', '<inp2:ban-rule_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('ban-rule', '<inp2:ban-rule_NextId/>');
						}
				 ) );



				a_toolbar.Render();

				<inp2:m_if check="ban-rule_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="ban-rule_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="ban-rule_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:ban-rule_SaveWarning name="grid_save_warning"/>
<inp2:ban-rule_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
	<inp2:m_RenderElement name="subsection" prefix="ban-rule" fields="RuleId,RuleType,ItemField,ItemVerb,ItemValue,ErrorTag,Priority,Status" title="la_section_General"/>
		<inp2:m_RenderElement name="inp_edit_hidden" prefix="ban-rule" field="ItemType"/>

		<inp2:m_RenderElement name="inp_id_label" prefix="ban-rule" field="RuleId" title="la_fld_Id"/>
		<inp2:m_RenderElement name="inp_edit_options" prefix="ban-rule" field="RuleType" title="la_fld_RuleType"/>
		<inp2:m_RenderElement name="inp_edit_options" prefix="ban-rule" field="ItemField" title="la_fld_ItemField"/>
		<inp2:m_RenderElement name="inp_edit_options" prefix="ban-rule" field="ItemVerb" title="la_fld_FieldComparision"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="ban-rule" field="ItemValue" title="la_fld_FieldValue"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="ban-rule" field="ErrorTag" title="la_fld_ErrorTag"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="ban-rule" field="Priority" title="la_fld_Priority"/>
		<inp2:m_RenderElement name="inp_edit_radio" prefix="ban-rule" field="Status" title="la_fld_Status"/>
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>
